"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.computeIconList = void 0;
exports.computeIconList = () => {
    if (!process.env.REACT_APP_ICON_PATH) {
        throw new Error('REACT_APP_ICON_PATH environment variable is not set!');
    }
    const fileList = require
        .context(`../../../${process.env.REACT_APP_ICON_PATH}`, true, /[\s\S]*$/)
        .keys();
    return fileList.reduce((acc, cur) => {
        const fileName = cur.replace('./', '');
        const iconName = fileName.replace('.svg', '');
        acc[iconName] = require(`!svg-inline-loader!../../../${process.env.REACT_APP_ICON_PATH}/${fileName}`);
        return acc;
    }, {});
};
exports.default = exports.computeIconList();
//# sourceMappingURL=lib.js.map